Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Constantes

    java.lang.Object
      estella.lib.Constantes

    public class Constantes

extends java.lang.Object

Constantes que podem ser necessarias

Since:
  20/11/2005

Field Summary
`static short` | `BYE`
`static short` | `CONEXAO`
`static short` | `CONEXAO_SUCEDIDA`
`static java.lang.String` | `CONNECTION_TIMEOUT`
`static java.lang.String` | `ESTELLA`
`static short` | `FALHA_CONEXAO`
`static java.lang.String` | `GNUTELLA`
`static java.lang.String` | `GNUTELLA_OK`
`static java.lang.String` | `LISTA_SERVENTS`
`static java.lang.String` | `LOG`
`static short` | `N_ARQUIVOS`
`static short` | `NULL`
`static int` | `PING`
`static int` | `PONG`
`static short` | `PROC_ARQUIVOS`
`static int` | `QUERY`
`static short` | `QUERY_LIVRE`
`static short` | `QUERY_MED`
`static short` | `QUERY_MIN`
`static int` | `QUERYHITS`
`static java.lang.String` | `REPOSITORIO`
`static java.lang.String` | `SEPARADOR`
`static int` | `SERVIDOR_PORTA`
`static int` | `SERVIDOR_WEB_PORTA`
`static short` | `SOCKET_SERVER_TIMEOUT`
`static boolean` | `SOCKET_TCPNODELAY`
`static short` | `SOCKET_TIMEOUT`
`int` | `TABELA_ARQUIVOS_COMPARTILHADOS`
`int` | `TABELA_BUSCA`
`int` | `TABELA_DOWNLOAD`
`int` | `TABELA_SERVENTS`
`int` | `TABELA_SERVENTS_ONLINE`
`int` | `TABELA_UPLOAD`
`static short` | `TAM_ARQUIVOS`
`static byte` | `TTL`
`static short` | `USUARIO`

Constructor Summary
`Constantes()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GNUTELLA

    public static final java.lang.String GNUTELLA

See Also:
  Constant Field Values

### GNUTELLA_OK

    public static final java.lang.String GNUTELLA_OK

See Also:
  Constant Field Values

### REPOSITORIO

    public static final java.lang.String REPOSITORIO

See Also:
  Constant Field Values

### LISTA_SERVENTS

    public static final java.lang.String LISTA_SERVENTS

See Also:
  Constant Field Values

### LOG

    public static final java.lang.String LOG

See Also:
  Constant Field Values

### ESTELLA

    public static final java.lang.String ESTELLA

See Also:
  Constant Field Values

### CONNECTION_TIMEOUT

    public static final java.lang.String CONNECTION_TIMEOUT

See Also:
  Constant Field Values

### CONEXAO

    public static final short CONEXAO

See Also:
  Constant Field Values

### CONEXAO_SUCEDIDA

    public static final short CONEXAO_SUCEDIDA

See Also:
  Constant Field Values

### FALHA_CONEXAO

    public static final short FALHA_CONEXAO

See Also:
  Constant Field Values

### USUARIO

    public static final short USUARIO

See Also:
  Constant Field Values

### N_ARQUIVOS

    public static final short N_ARQUIVOS

See Also:
  Constant Field Values

### TAM_ARQUIVOS

    public static final short TAM_ARQUIVOS

See Also:
  Constant Field Values

### PROC_ARQUIVOS

    public static final short PROC_ARQUIVOS

See Also:
  Constant Field Values

### QUERY_LIVRE

    public static final short QUERY_LIVRE

See Also:
  Constant Field Values

### QUERY_MIN

    public static final short QUERY_MIN

See Also:
  Constant Field Values

### QUERY_MED

    public static final short QUERY_MED

See Also:
  Constant Field Values

### NULL

    public static final short NULL

See Also:
  Constant Field Values

### TTL

    public static final byte TTL

See Also:
  Constant Field Values

### SEPARADOR

    public static final java.lang.String SEPARADOR

See Also:
  Constant Field Values

### PING

    public static final int PING

See Also:
  Constant Field Values

### PONG

    public static final int PONG

See Also:
  Constant Field Values

### QUERY

    public static final int QUERY

See Also:
  Constant Field Values

### QUERYHITS

    public static final int QUERYHITS

See Also:
  Constant Field Values

### BYE

    public static final short BYE

See Also:
  Constant Field Values

### SOCKET_TIMEOUT

    public static final short SOCKET_TIMEOUT

See Also:
  Constant Field Values

### SOCKET_SERVER_TIMEOUT

    public static final short SOCKET_SERVER_TIMEOUT

See Also:
  Constant Field Values

### SOCKET_TCPNODELAY

    public static final boolean SOCKET_TCPNODELAY

See Also:
  Constant Field Values

### SERVIDOR_PORTA

    public static final int SERVIDOR_PORTA

See Also:
  Constant Field Values

### SERVIDOR_WEB_PORTA

    public static final int SERVIDOR_WEB_PORTA

See Also:
  Constant Field Values

### TABELA_SERVENTS

    public final int TABELA_SERVENTS

See Also:
  Constant Field Values

### TABELA_SERVENTS_ONLINE

    public final int TABELA_SERVENTS_ONLINE

See Also:
  Constant Field Values

### TABELA_BUSCA

    public final int TABELA_BUSCA

See Also:
  Constant Field Values

### TABELA_ARQUIVOS_COMPARTILHADOS

    public final int TABELA_ARQUIVOS_COMPARTILHADOS

See Also:
  Constant Field Values

### TABELA_DOWNLOAD

    public final int TABELA_DOWNLOAD

See Also:
  Constant Field Values

### TABELA_UPLOAD

    public final int TABELA_UPLOAD

See Also:
  Constant Field Values

Constructor Detail

### Constantes

    public Constantes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD